summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2020-01-26 19:52:22 +0100
committerDavid Seifert <soap@gentoo.org>2020-01-26 19:52:22 +0100
commit79502186a9cd671ceec44878a59f2a05fc81031b (patch)
tree6f4ff5f6b077996630ea84624a4fa9b3f35ff81a /sci-electronics/pcb
parentsci-electronics/gerbv: Bump to 2.7.0 (diff)
downloadgentoo-79502186a9cd671ceec44878a59f2a05fc81031b.tar.gz
gentoo-79502186a9cd671ceec44878a59f2a05fc81031b.tar.bz2
gentoo-79502186a9cd671ceec44878a59f2a05fc81031b.zip
sci-electronics/pcb: Bump to version 4.2.2
* EAPI 7 * Disable opengl unconditionally (due to EOL x11-libs/gtkglext) * Remove USE="static-libs" * Remove USE="motif" * Remove USE="xrender" Bug: https://bugs.gentoo.org/706526 Package-Manager: Portage-2.3.85, Repoman-2.3.20 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sci-electronics/pcb')
-rw-r--r--sci-electronics/pcb/Manifest1
-rw-r--r--sci-electronics/pcb/files/pcb-4.2.2-fix-autotools.patch36
-rw-r--r--sci-electronics/pcb/metadata.xml1
-rw-r--r--sci-electronics/pcb/pcb-4.2.2.ebuild109
4 files changed, 147 insertions, 0 deletions
diff --git a/sci-electronics/pcb/Manifest b/sci-electronics/pcb/Manifest
index de8e433f91d..9bc9f5fd982 100644
--- a/sci-electronics/pcb/Manifest
+++ b/sci-electronics/pcb/Manifest
@@ -1,2 +1,3 @@
DIST pcb-20140316.tar.gz 4210077 BLAKE2B a0a676bc0eaedd269644d7f7e6d6d443c4ca1a66aba4db18a0aea33edef2dbd84d7a027a25c310bce9d309c46b63ac4f1b807587f5064ce81aadaea2f675521b SHA512 5b9a2704b4d3c95f03afad0fe8fb5414b2aa9d680e40bf77ad9b46a9d4e14ba740858092794a9ff6788f31ac19063b126d8ceed6316c0d9eaaaa574e6678c071
DIST pcb-4.0.2.tar.gz 4762521 BLAKE2B 3bae7983c84a79edc882b822b91e94adc00ec4e9b329719a0a15599bb12a6771318844ffbd6163b3c646be8410af1964d59b523fffaebd690af2cce9b4f0f98e SHA512 8bca9bdbdd640174e82e9cf1a457f9ef3f9b7c3f1d957a21c3bb07e50134b83504d85f312e429bed90bfc58f786b4319ffb69c5637ed4fd69a0312e11c6ad30b
+DIST pcb-4.2.2.tar.gz 5182807 BLAKE2B e2a9ab7fdeb402d9d07717fbc2ad4b31594aada95693c2a7046c73364a43591ee1a537f0cbda67bf46e39d53c61a454f146963fe14a4661fe2ffbc11c2eab99f SHA512 c76fc053fbb0a8a9b7aef494a37d3587efaa2023affd32c3cce895632a7e68fbb85f8862cff8349c7d281365379c07a5471c9467c5977a7aa053a83fc6499c55
diff --git a/sci-electronics/pcb/files/pcb-4.2.2-fix-autotools.patch b/sci-electronics/pcb/files/pcb-4.2.2-fix-autotools.patch
new file mode 100644
index 00000000000..22a4563d2db
--- /dev/null
+++ b/sci-electronics/pcb/files/pcb-4.2.2-fix-autotools.patch
@@ -0,0 +1,36 @@
+1. avoid rebuilding documentation
+2. avoid non-portable syntax
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -7,6 +7,9 @@
+ AC_GNU_SOURCE
+ AC_CONFIG_HEADERS([config.h])
+
++# avoid rebuilding documentation
++AM_MAINTAINER_MODE
++
+ ##########################################################################
+ #
+ # Try to figure out if we are building from git sources.
+@@ -1285,11 +1288,6 @@
+ if test -d $srcdir/doc; then
+ AC_CONFIG_FILES(doc/Makefile)
+ fi
+-if test -d $srcdir/doc/gs; then
+- AC_CONFIG_FILES(doc/gs/Makefile)
+- AC_CONFIG_FILES(doc/gs/gafrc)
+- AC_CONFIG_FILES(doc/gs/gschemrc)
+-fi
+ if test -d $srcdir/example; then
+ AC_CONFIG_FILES(example/Makefile)
+ AC_CONFIG_FILES(example/libraries/Makefile)
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -15,5 +15,5 @@
+ MAINTAINERCLEANFILES= $(INTLTOOL_FILES)
+
+ ACLOCAL_AMFLAGS = -I m4
+-DISTCHECK_CONFIGURE_FLAGS := ${DISTCHECK_CONFIGURE_FLAGS} --disable-update-mime-database --disable-update-desktop-database GTK_UPDATE_ICON_THEME_BIN=true --with-gui=batch
++DISTCHECK_CONFIGURE_FLAGS = ${DISTCHECK_CONFIGURE_FLAGS} --disable-update-mime-database --disable-update-desktop-database GTK_UPDATE_ICON_THEME_BIN=true --with-gui=batch
+
diff --git a/sci-electronics/pcb/metadata.xml b/sci-electronics/pcb/metadata.xml
index 358405f57a2..2ab5e9e2afd 100644
--- a/sci-electronics/pcb/metadata.xml
+++ b/sci-electronics/pcb/metadata.xml
@@ -15,6 +15,7 @@
<flag name="nelma">NELMA file export</flag>
<flag name="png">PNG graphics export</flag>
<flag name="gcode">gcode file export</flag>
+ <flag name="gsvit">GSvit file export</flag>
<flag name="tk">Build tcl/tk graphical QFP footprint generator</flag>
<flag name="xrender">Translucent PCB display for Motif/Lesstif GUI</flag>
<flag name="m4lib-png">Enable creating png previews for the m4 library</flag>
diff --git a/sci-electronics/pcb/pcb-4.2.2.ebuild b/sci-electronics/pcb/pcb-4.2.2.ebuild
new file mode 100644
index 00000000000..d7c8ac609fe
--- /dev/null
+++ b/sci-electronics/pcb/pcb-4.2.2.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools toolchain-funcs xdg
+
+DESCRIPTION="GPL Electronic Design Automation: Printed Circuit Board editor"
+HOMEPAGE="http://pcb.geda-project.org/"
+SRC_URI="mirror://sourceforge/pcb/pcb/${P}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-macos"
+IUSE="dbus doc gcode gif gsvit gui jpeg m4lib-png nelma png test tk toporouter"
+# toporouter-output USE flag removed, there seems to be no result
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-libs/glib:2
+ sci-electronics/electronics-menu
+ gif? ( media-libs/gd )
+ gsvit? ( media-libs/gd[png] )
+ gui? (
+ x11-libs/gtk+:2
+ x11-libs/pango
+ dbus? ( sys-apps/dbus )
+ )
+ jpeg? ( media-libs/gd[jpeg] )
+ nelma? ( media-libs/gd[png] )
+ gcode? ( media-libs/gd[png] )
+ virtual/libintl
+ png? ( media-libs/gd[png] )
+ m4lib-png? ( media-libs/gd[png] )
+ tk? ( >=dev-lang/tk-8:0 )"
+#toporouter-output? ( x11-libs/cairo )
+
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-util/intltool-0.35
+ virtual/pkgconfig
+ sys-devel/gettext
+ test? (
+ sci-electronics/gerbv
+ virtual/imagemagick-tools
+ )"
+
+PATCHES=( "${FILESDIR}"/${PN}-4.2.2-fix-autotools.patch )
+
+src_prepare() {
+ default
+ eautoreconf
+
+ # tests are unconditional, even in the known presence of missing/disabled
+ # features, so we have to remove feature tests ourselves.
+ if ! use gcode; then
+ sed -i '/^hid_gcode/d' tests/tests.list || die
+ fi
+ if ! use gsvit; then
+ sed -i '/^hid_gsvit/d' tests/tests.list || die
+ fi
+ if ! use nelma; then
+ sed -i '/^hid_nelma/d' tests/tests.list || die
+ fi
+ if ! use png; then
+ sed -i '/^hid_png/d' tests/tests.list || die
+ fi
+ if ! use gif; then
+ sed -i '/^hid_png10[[:digit:]]/d' tests/tests.list || die
+ fi
+ if ! use jpeg; then
+ sed -i '/^hid_png20[[:digit:]]/d' tests/tests.list || die
+ fi
+}
+
+src_configure() {
+ local exporters=( bom gerber ps ipcd356 )
+ if use png || use jpeg || use gif; then
+ exporters+=( png )
+ fi
+ use gcode && exporters+=( gcode )
+ use gsvit && exporters+=( gsvit )
+ use nelma && exporters+=( nelma )
+ use tk || export WISH="${EPREFIX}/bin/true"
+
+ # toporouter-output USE flag removed, seems to do nothing
+ # opengl disabled unconditionally, due to requiring EOL gtkglext
+ econf \
+ --disable-gl \
+ --disable-rpath \
+ --disable-toporouter-output \
+ --disable-update-mime-database \
+ --disable-update-desktop-database \
+ --disable-xrender \
+ --enable-nls \
+ $(use_enable doc) \
+ $(use_enable gif) \
+ $(use_enable jpeg) \
+ $(use_enable png) \
+ $(use_enable m4lib-png) \
+ $(use_enable toporouter) \
+ $(use_enable gui dbus $(usex dbus yes no)) \
+ --with-gui=$(usex gui gtk batch) \
+ --with-exporters="${exporters[*]}"
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}